<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">FORM PENGAJUAN PINJAMAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-10"></div>
            <div class="col-sm-2">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br><br>
          <form action="" method="post" class="form-horizontal" style="margin-top: -40px;" [formGroup]="formBuilder">
            <div class="row">
              <div class="col-sm-6">
                <div class="col-sm-12" *ngIf="dataUser.role!=='AGT' && dataUser.role!=='HRD'">
                  <label class="col-form-label">Perusahaan</label>
                  <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                  <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectPerusahaan" [(value)]="selectedPerusahaan" (change)="doGetListMember()" [options]="listPerusahaan"></ngx-select-dropdown>-->
                </div>
                <div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">
                  <label class="col-form-label">Anggota</label>
                  <!--<app-member-select [options]="listAnggota" (someChildEvent)="selectedAnggota=$event" ></app-member-select>-->
                  <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectAnggota" [(value)]="selectedAnggota" [options]="listAnggota"></ngx-select-dropdown>-->
                  <input list="members" [(ngModel)]="selectedName" (keyup)="doGetListMember()" (change)="onMemberChanged(selectedName)" [ngModelOptions]="{standalone: true}" class="form-control custom-select custom-select-sm" placeholder="Cari Anggota...">
                  <datalist id="members">
                    <option *ngFor="let user of listAnggota" value="{{user.nama}} - {{user.nomorNik}}">{{user.nama}} - {{user.nomorNik}}</option>
                  </datalist>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Jenis Pengajuan</label>
                  <select class="form-control selectpicker" formControlName="kodeTipePengajuan">
                    <option value="" disabled>Pilih Jenis Pengajuan</option>
                    <option value="UANG">Uang</option>
                    <option value="BRG">Barang</option>
                    <option value="KENDARAAN">Kendaraan</option>
                    <option value="PERUM">Perumahan</option>
                  </select>
                  <input type="hidden" formControlName="tipePengajuan">
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='UANG'">
                  <label class="col-form-label">Nominal</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                           (keyup)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Nominal Pinjaman" formControlName="nominalPengajuan">
                  </div>
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='BRG'">
                  <label class="col-form-label">Nama Barang</label>
                  <app-item-select [title]="'Pilih Barang'" (change)="setHargaBarang()" [options]="listItem" (someChildEvent)="selectedItem=$event" ></app-item-select>
                  <!--<ngx-select-dropdown [multiple]="false" (change)="setHargaBarang()" [config]="configSelectItem" [(value)]="selectedItem" [options]="listItem"></ngx-select-dropdown>-->
                  <input type="hidden" formControlName="kodeBarang">
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='BRG'">
                  <label class="col-form-label">Harga Barang</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                           (change)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Harga Barang" formControlName="nominalPengajuan">
                  </div>
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='KENDARAAN'">
                  <label class="col-form-label">Nama Kendaraan</label>
                  <app-item-select [title]="'Pilih Kendaraan'" (change)="setHargaBarang()" [options]="listKendaraan" (someChildEvent)="selectedItem=$event" ></app-item-select>
                  <input type="hidden" formControlName="kodeBarang">
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='KENDARAAN'">
                  <label class="col-form-label">Harga Kendaraan</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                           (change)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Harga Kendaraan" formControlName="nominalPengajuan">
                  </div>
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='PERUM'">
                  <label class="col-form-label">Nama Perumahan</label>
                  <app-item-select [title]="'Pilih Perumahan'" (change)="setHargaBarang()" [options]="listPerumahan" (someChildEvent)="selectedItem=$event" ></app-item-select>
                  <input type="hidden" formControlName="kodeBarang">
                </div>
                <div class="col-sm-12" *ngIf="tipePengajuan==='PERUM'">
                  <label class="col-form-label">Harga Perumahan</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                           (change)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Harga Perumahan" formControlName="nominalPengajuan">
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Lama Angsuran</label>
                  <select class="form-control selectpicker" data-size="5" formControlName="lamaAngsuran" (change)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)">
                    <option value="" disabled>Pilih Lama Angsuran</option>
                    <option *ngFor="let row of listLamaAngsuran" value="{{row}}">{{row}} bulan</option>
                  </select>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Tujuan Peminjaman</label>
                  <input type="text" id="nama" class="form-control" formControlName="keterangan" placeholder="Tujuan Peminjaman">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Upload Dokumen</label>
                  <input class="form-control-file" #file type="file" (change)="onFileChangedDokumen($event.target.files)" >
                </div>

              </div>
            </div>
          </form>
          <h4 class="mt-3">Simulasi</h4>
          <table class="table table-bordered table-striped table-sm table-responsive-sm">
            <thead>
            <tr>
              <th class="text-center">Angsuran Ke- </th>
              <th class="text-center">Tanggal Jatuh Tempo </th>
              <th class="text-center">Angsuran Pokok </th>
              <th class="text-center">Bagi Hasil </th>
              <th class="text-center">Biaya Administrasi </th>
              <th class="text-center">Jumlah Tagihan </th>
            </tr>
            </thead>
            <tbody *ngIf="!listSimulasi || listSimulasi.length===0">
            <tr>
              <td colspan="6" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-right" *ngFor="let data of listSimulasi; let i=index;">
              <td class="text-center">{{ i + 1 }}</td>
              <td class="text-left pl-5">{{ data.tanggalJatuhTempo | date: 'dd MMM yyyy'}}</td>
              <td class="pr-3">{{ data.angsuranPokok | number:'1.0-0'}}</td>
              <td class="pr-3">{{ data.biayaBunga | number:'1.0-0'}}</td>
              <td class="pr-3">{{ data.biayaAdmin | number:'1.0-0'}}</td>
              <td class="pr-3">{{ data.jumlahTagihan | number:'1.0-0'}}</td>
            </tr>
            <tr *ngIf="listSimulasi && listSimulasi.length!==0" class="text-right pr-5 font-weight-bold">
              <td class="text-center" colspan="2">Total</td>
              <td class="pr-3">{{ totalAngsuran | number }}</td>
              <td class="pr-3">{{ totalBunga | number }}</td>
              <td class="pr-3">{{ totalBiayaAdmin | number }}</td>
              <td class="pr-3">{{ totalTagihan | number }}</td>
            </tr>
            </tbody>
          </table><br>
          <button class="btn btn-success btn-lg" (click)="doSubmitPengajuan()" [disabled]="formBuilder.invalid"><i class="fa fa-save"></i> SUBMIT</button>
        </div>
      </div>
    </div>
  </div>
</div>
